package com.example.test2;

import android.content.Context;
import android.content.Intent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Filter;
import android.widget.Filterable;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;
import java.util.Locale;

public class AdapterMask extends BaseAdapter implements Filterable {
    private Context mContext;
    List<Mask> maskList;
    private List<Mask> MASKList;


    public AdapterMask(Context mContext, List<Mask> maskList){
        this.mContext = mContext;
        this.maskList = maskList;
    }

    @Override
    public int getCount() {
        return maskList.size();
    }

    @Override
    public Object getItem(int i) {
        return maskList.get(i);
    }

    @Override
    public long getItemId(int i) {
        return maskList.get(i).getID();
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {
        View v = View.inflate(mContext, R.layout.activity_mask, null);

        TextView Text1 = v.findViewById(R.id.textView);
        TextView Text2 = v.findViewById(R.id.textView2);
        TextView Text3 = v.findViewById(R.id.textView3);

        Mask mask = maskList.get(i);
        Text1.setText(mask.getDog());
        Text2.setText(mask.getBreed());
        Text3.setText(mask.getInfo());

        v.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(mContext, Details.class);
                intent.putExtra("Dogs", mask);
                mContext.startActivity(intent);
            }
        });

        return v;
    }

    @Override
    public Filter getFilter() {
        return new Filter() {
            @Override
            protected FilterResults performFiltering(CharSequence charSequence) {
                FilterResults results = new FilterResults();
                ArrayList<Mask> maskArrayList = new ArrayList<>();

                if(MASKList == null){
                    MASKList = new ArrayList<>(maskList);
                }
                if (charSequence == null || charSequence.length() == 0) {
                    results.count = MASKList.size();
                    results.values = MASKList;
                } else{
                    charSequence = charSequence.toString().toLowerCase();
                    for (int i = 0; i<MASKList.size(); i++){
                        String data =MASKList.get(i).getDog();
                        if (data.)
                    }
                }


                return results;
            }

            @Override
            protected void publishResults(CharSequence charSequence, FilterResults filterResults) {
                maskList = (ArrayList<Mask>) filterResults.values;
                notifyDataSetChanged();
            }
        };
    }
}
