package com.example.test2;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class Mask implements Parcelable {
    public int ID;
    public String Dog;
    public String Breed;
    public String Info;
    public String Image;


    protected Mask(Parcel in) {
        this.ID = in.readInt();
        Dog = in.readString();
        Breed = in.readString();
        Info = in.readString();
        Image = in.readString();
    }

    public static final Creator<Mask> CREATOR = new Creator<Mask>() {
        @Override
        public Mask createFromParcel(Parcel in) {
            return new Mask(in);
        }

        @Override
        public Mask[] newArray(int size) {
            return new Mask[size];
        }
    };

    public void setID(int id){this.ID = id;}
    public void setDog(String dog){Dog = dog;}
    public void setBreed(String breed){Breed = breed;}
    public void setInfo(String info){Info = info;}
    public void setImage(String image){Image = image;}

    public int getID(){return ID;}
    public String getDog(){return Dog;}
    public String getBreed(){return Breed;}
    public String getInfo(){return Info;}
    public String getImage(){return Image;}

    public Mask (int id, String dog, String breed, String info, String image){
        this.ID = id;
        Dog = dog;
        Breed = breed;
        Info = info;
        Image = image;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(ID);
        dest.writeString(Dog);
        dest.writeString(Breed);
        dest.writeString(Info);
        dest.writeString(Image);
    }
}